Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: unzip
# END SourceDeps(oneline)
%define oldname python-mwlib-docbook
%global module_name mwlib.docbook

Name:           python-module-mwlib-docbook
Version:        0.1.0
Release:        alt1_5
Summary:        DocBook writer for mwlib

License:        BSD
URL:            https://github.com/pediapress/%{module_name}
Source0:        http://pypi.python.org/packages/source/m/%{module_name}/%{module_name}-%{version}.zip

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
Source44: import.info

%description
mwlib provides a library for parsing MediaWiki articles and converting them to
different output formats. This package contains the necessary code to output
articles in DocBook format.


%prep
%setup -n %{oldname}-%{version} -qn %{module_name}-%{version}

sed -i '/^#!/d' mwlib/*.py
chmod a-x mwlib/*.py


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%files
%{python_sitelibdir_noarch}/%{module_name}-*
%{python_sitelibdir_noarch}/mwlib/*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_5
- update to new release by fcimport

* Mon Dec 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_4
- initial fc import

